Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.AnnotationSummarySettings Class Reference
Inheritance diagram for com.foxit.sdk.pdf.AnnotationSummarySettings:

## Public Member Functions
| AnnotationSummarySettings ()
| Constructor, with parameters.
| AnnotationSummarySettings (AnnotationSummarySettings other)
| Constructor, with another annotation summary setting object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
void | enableOutputNoAnnotationPage (boolean enable) throws com.foxit.sdk.PDFException
| Set the flag to decide whether to output information of pages which have no annotation. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | setAnnotThumbnail (int type, Bitmap thumbnail) throws com.foxit.sdk.PDFException
| Set the markup annotation thumbnail used in result document to indicates the type of annotation. More...
void | setAnnotType (int type, boolean use_all) throws com.foxit.sdk.PDFException
| Set the option to decide which type of annotations will be summarized. More...
void | setConnectorLineColor (long color) throws com.foxit.sdk.PDFException
| Set connector line color. More...
void | setConnectorLineOpacity (float opacity) throws com.foxit.sdk.PDFException
| Set connector line opacity. More...
void | setEndPage (int page_index) throws com.foxit.sdk.PDFException
| Set ending page index. More...
void | setFileTitle (String title) throws com.foxit.sdk.PDFException
| Set the file title string when location of the document needs to be outputed in result document. More...
void | setFontSize (int type) throws com.foxit.sdk.PDFException
| Set the font size type used in result document of annotation summary. More...
void | setPageMargin (RectF margin) throws com.foxit.sdk.PDFException
| Set the page margin used in result document. More...
void | setPageRect (RectF rect) throws com.foxit.sdk.PDFException
| Set the page rectangle in result document. More...
void | setSortType (int type) throws com.foxit.sdk.PDFException
| Set the option to decide to sort annotation by what. More...
void | setStartPage (int page_index) throws com.foxit.sdk.PDFException
| Set starting page index. More...
void | setSummaryLayout (int type) throws com.foxit.sdk.PDFException
| Set summary layout type. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_FontSizeLarge = 2
| If set, that means to use large font size in result document.
static final int | e_FontSizeMedium = 1
| If set, that means to use medium font size in result document.
static final int | e_FontSizeSmall = 0
| If set, that means to use small font size in result document.
static final int | e_SummaryLayoutAnnotationOnly = 2
| If set, that means to layout annotations only.
static final int | e_SummaryLayoutSeparatePagesWithLine = 0
| If set, that means to layout document and annotations with connector lines on separate pages.
static final int | e_SummaryLayoutSeparatePagesWithSequenceNumber = 3
| If set, that means to layout document and annotations with sequence numbers on separate pages.
static final int | e_SummaryLayoutSinglePageWithLine = 1
| If set, that means to layout document and annotations with connector lines on single pages.
static final int | e_SummaryLayoutSinglePageWithSequenceNumber = 4
| If set, that means to layout document and annotations with sequence numbers on separate pages.
static final int | e_TypeSortByAnnotationType = 3
| If set, that means to sort annotation by annotation type in result document.
static final int | e_TypeSortByAuthor = 0
| If set, that means to sort annotation by author in result document.
static final int | e_TypeSortByDate = 1
| If set, that means to sort annotation by date in result document.
static final int | e_TypeSortByPage = 2
| If set, that means to sort annotation by page in result document.

## Detailed Description

This class represents settings for summarizing annotation. This would be used in class AnnotationSummary .

See also
  AnnotationSummary

## Constructor & Destructor Documentation

## ◆ AnnotationSummarySettings()

com.foxit.sdk.pdf.AnnotationSummarySettings.AnnotationSummarySettings | ( | AnnotationSummarySettings | other | ) |

Constructor, with another annotation summary setting object.

Parameters

  [in] | other | Another annotation summary setting object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.AnnotationSummarySettings.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ enableOutputNoAnnotationPage()

void com.foxit.sdk.pdf.AnnotationSummarySettings.enableOutputNoAnnotationPage | ( | boolean | enable | ) | throws com.foxit.sdk.PDFException

Set the flag to decide whether to output information of pages which have no annotation.

or a newly constructed object, if this function is not called, default value true will be used.

Parameters

  [in] | enable | A boolean value to decide whether to output information of pages which have no annotation: true means to output information of pages which have no annotation, while false means not to output information of pages which have no annotation,

Returns
  None.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.AnnotationSummarySettings.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ setAnnotThumbnail()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setAnnotThumbnail | ( | int | type,
|  | Bitmap | thumbnail
| ) |  | throws com.foxit.sdk.PDFException

Set the markup annotation thumbnail used in result document to indicates the type of annotation.

Thumbnail bitmap does not use alpha channel. So user is recommended to set a bitmap without alpha channel to be the new thumbnail. If a bitmap with alpha channel is set, the new thumbnail will use white background by default.
If not set, no thumbnail will be used for corresponding annotation type.

Parameters

  [in] | type | Annotation type to decide whose thumbnail is to be set. Please refer to values starting from com.foxit.sdk.pdf.annots.Annot.e_Note and this should be one of these values except com.foxit.sdk.pdf.annots.Annot.e_Link , com.foxit.sdk.pdf.annots.Annot.e_PSInk , com.foxit.sdk.pdf.annots.Annot.e_Sound , com.foxit.sdk.pdf.annots.Annot.e_Movie , com.foxit.sdk.pdf.annots.Annot.e_Widget , com.foxit.sdk.pdf.annots.Annot.e_Screen , com.foxit.sdk.pdf.annots.Annot.e_PrinterMark , com.foxit.sdk.pdf.annots.Annot.e_TrapNet , com.foxit.sdk.pdf.annots.Annot.e_Watermark , com.foxit.sdk.pdf.annots.Annot.e_3D , com.foxit.sdk.pdf.annots.Annot.e_Popup , com.foxit.sdk.pdf.annots.Annot.e_Redact .
  [in] | thumbnail | A bitmap used as thumbnail for an annotation type in result document. This should be a valid bitmap. If the bitmap size is not 12*12, the bitmap will be scaled to 12*12 when being used.

Returns
  None.

## ◆ setAnnotType()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setAnnotType | ( | int | type,
|  | boolean | use_all
| ) |  | throws com.foxit.sdk.PDFException

Set the option to decide which type of annotations will be summarized.

For a newly constructed object, if this function is not called to set this option, that means to summarize annotation in all supported types.

Parameters

  [in] | type | Annotation type to decide which annotations is to be summarized. Please refer to values starting from com.foxit.sdk.pdf.annots.Annot.e_Note and this should be one of these values except com.foxit.sdk.pdf.annots.Annot.e_Link , com.foxit.sdk.pdf.annots.Annot.e_PSInk , com.foxit.sdk.pdf.annots.Annot.e_Sound , com.foxit.sdk.pdf.annots.Annot.e_Movie , com.foxit.sdk.pdf.annots.Annot.e_Widget , com.foxit.sdk.pdf.annots.Annot.e_Screen , com.foxit.sdk.pdf.annots.Annot.e_PrinterMark , com.foxit.sdk.pdf.annots.Annot.e_TrapNet , com.foxit.sdk.pdf.annots.Annot.e_Watermark , com.foxit.sdk.pdf.annots.Annot.e_3D , com.foxit.sdk.pdf.annots.Annot.e_Popup , com.foxit.sdk.pdf.annots.Annot.e_Redact .
  [in] | use_all | A boolean value to decide whether to summarize all the supported annotations in result document: true means to summarize annotations in all the supported types. In this case, parameter type would be ignored. false means to only summarize annotations specified by parameter type.

Returns
  None.

## ◆ setConnectorLineColor()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setConnectorLineColor | ( | long | color | ) | throws com.foxit.sdk.PDFException

Set connector line color.

This option will take effect when summary layout type is set com.foxit.sdk.pdf.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine or com.foxit.sdk.pdf.AnnotationSummarySettings.e_SummaryLayoutSinglePageWithLine by function by AnnotationSummarySettings.setSummaryLayout . If not set, default value 0x000000 will be used.

Parameters

  [in] | color | Connector line color. Format: 0xRRGGBB.

Returns
  None.

## ◆ setConnectorLineOpacity()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setConnectorLineOpacity | ( | float | opacity | ) | throws com.foxit.sdk.PDFException

Set connector line opacity.

This option will take effect when summary layout type is set com.foxit.sdk.pdf.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine or com.foxit.sdk.pdf.AnnotationSummarySettings.e_SummaryLayoutSinglePageWithLine by function by AnnotationSummarySettings.setSummaryLayout . If not set, default value 1.0 will be used.

Parameters

  [in] | opacity | Connector line opacity. Valid range: from 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ setEndPage()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setEndPage | ( | int | page_index | ) | throws com.foxit.sdk.PDFException

Set ending page index.

For a newly constructed object, if this function is not called, default value (count-1) will be used as the ending page index. count is returned by function PDFDoc.getPageCount for the PDF document whose annotations are to be summarized.

Parameters

  [in] | page_index | Page index to specify the ending page where summarizing operation ends. Valid range: from 0 to (count-1). count is returned by function PDFDoc.getPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function AnnotationSummary.startSummarize is called.

Returns
  None.

## ◆ setFileTitle()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setFileTitle | ( | String | title | ) | throws com.foxit.sdk.PDFException

Set the file title string when location of the document needs to be outputed in result document.

If not set, an empty string will be used as default.

Parameters

  [in] | title | Summary title used in result document.

Returns
  None.

## ◆ setFontSize()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setFontSize | ( | int | type | ) | throws com.foxit.sdk.PDFException

Set the font size type used in result document of annotation summary.

For a newly constructed object, if this function is not called to set this option, that means to use com.foxit.sdk.pdf.AnnotationSummarySettings.e_FontSizeMedium as the default value of this option.

Parameters

  [in] | type | Font size type used in result document of annotation summary. Please refer to values starting from com.foxit.sdk.pdf.AnnotationSummarySettings.e_FontSizeSmall and this should be one of these values.

Returns
  None.

## ◆ setPageMargin()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setPageMargin | ( | RectF | margin | ) | throws com.foxit.sdk.PDFException

Set the page margin used in result document.

This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page. If no margin value is set, Foxit PDF SDK will use a maring defined as (50.0, 50.0, 50.0, 50.0) as default.

Parameters

  [in] | margin | Page margin used in result document.

Returns
  None.

## ◆ setPageRect()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setPageRect | ( | RectF | rect | ) | throws com.foxit.sdk.PDFException

Set the page rectangle in result document.

If not set, default rectangle (0.0, 0.0, 612.0, 792.0) will be used.

Parameters

  [in] | rect | Page rectangle used in result document.

Returns
  None.

## ◆ setSortType()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setSortType | ( | int | type | ) | throws com.foxit.sdk.PDFException

Set the option to decide to sort annotation by what.

For a newly constructed object, if this function is not called to set this option, that means to use com.foxit.sdk.pdf.AnnotationSummarySettings.e_TypeSortByAnnotationType as the default value of this option.

Parameters

  [in] | type | Sorting type for summarizing annotations. Please refer to values starting from com.foxit.sdk.pdf.AnnotationSummarySettings.e_TypeSortByAuthor and this should be one of these values.

Returns
  None.

## ◆ setStartPage()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setStartPage | ( | int | page_index | ) | throws com.foxit.sdk.PDFException

Set starting page index.

For a newly constructed object, if this function is not called, default value 0 will be used as the starting page index.

Parameters

  [in] | page_index | Page index to specify the starting page where summarizing operation starts. Valid range: from 0 to (count-1). count is returned by function PDFDoc.getPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function AnnotationSummary.startSummarize is called.

Returns
  None.

## ◆ setSummaryLayout()

void com.foxit.sdk.pdf.AnnotationSummarySettings.setSummaryLayout | ( | int | type | ) | throws com.foxit.sdk.PDFException

Set summary layout type.

For a newly constructed object, if this function is not called to set this option, that means to use com.foxit.sdk.pdf.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine as the default value of this option.

Parameters

  [in] | type | Summary layout type. Please refer to values starting from com.foxit.sdk.pdf.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine and this should be one of these values.

Returns
  None.